Bug 1547260 - annobin is out of synch with gcc in rawhide yesterday, fc28 today
Summary: annobin is out of synch with gcc in rawhide yesterday, fc28 today
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: annobin
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nick Clifton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-20 21:24 UTC by stan
Modified: 2019-05-28 19:44 UTC (History)
3 users (show)

Fixed In Version: annobin-3.4-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:44:27 UTC
Type: Bug


Attachments (Terms of Use)
These are the dependencies of libgfortran that are holding up the install of gcc8 (5.67 KB, text/plain)
2018-02-20 21:33 UTC, stan
no flags Details

Description stan 2018-02-20 21:24:12 UTC
Description of problem:
After the recent logjam in rawhide, the updates that installed included the latest annobin.  gcc8 was held back because of libgfortran dependencies on the old version, so still at gcc 7.3.  Last night I tried to compile a src.rpm and it failed with an unable to generate C++ code.

Version-Release number of selected component (if applicable):
Name        : annobin
Version     : 3.4
Release     : 1.fc28
Architecture: x86_64

How reproducible:
every time

Steps to Reproduce:
1.  download the pan src.rpm
2.  make sure that gcc is 7.3 and annobin is 3.4
3.  run rpmbuild -bb pan.spec (in ~/rpmbuild/SPECS)

Actual results:

configure:3410: checking whether the C++ compiler works
configure:3432: g++ -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection  -Wl,-z,relro -Wl,-z,defs -specs=/usr/lib/rpm/redhat/redhat-hardened-ld conftest.cpp  >&5
cc1plus: fatal error: inaccessible plugin file /usr/lib/gcc/x86_64-redhat-linux/7/plugin/annobin.so expanded from short plugin name annobin: No such file or directory
compilation terminated.

configure: error: in `/home/stan/rpmbuild/BUILD/pan-0.144':
configure: error: C++ compiler cannot create executables
See `config.log' for more details
error: Bad exit status from /var/tmp/rpm-tmp.5zVka0 (%build)
    Bad exit status from /var/tmp/rpm-tmp.5zVka0 (%build)

Expected results:
Successful build.

Additional info:
Shouldn't there be some kind of link between annobin and gcc so this doesn't happen?  The library that annobin looked for in 7 is there under 8.

Comment 1 stan 2018-02-20 21:33:36 UTC
Created attachment 1398453 [details]
These are the dependencies of libgfortran that are holding up the install of gcc8

Comment 2 Nick Clifton 2018-02-22 11:36:43 UTC
Hi Stan,

> Shouldn't there be some kind of link between annobin and gcc so this 
> doesn't happen?

  Exactly right.  But I do not know how to encode this requirement in a
  spec file.  The annobin package can be built with any (recent) version
  of gcc, but it must be installed alongside whichever version was used
  to build it.  What I assume is needed is something like this in the 
  annobin.spec file:

   InstallRequires: BuildGCC

  But I am not sufficiently proficient with spec file syntax to know how 
  to write this properly. :-(  I will try asking around and see if I can
  find someone who knows how to do this.

Cheers
  Nick

Comment 3 stan 2018-02-22 17:37:44 UTC
Thanks.  I'm not proficient in spec-ese, though what you are saying sounds right.

I downloaded the version of annobin built for gcc 7.3 (3.1.3) from koji, and downgraded using 
dnf -C downgrade [annobin-3.1.3 rpm] 
and it is now working.

I'll exclude it until the dependencies holding up the install of gcc 8 are updated.

Comment 4 Nick Clifton 2018-02-23 11:07:06 UTC
Thanks to a suggestion from Florian Weimer, I have been able to update the
annobin.spec file so that it now requires a specific version of gcc.  This 
should stop the problem from happening again in the future.

Comment 5 Ben Cotton 2019-05-02 22:00:35 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2019-05-28 19:44:27 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.